import os

from .config import load_config


_METADATA_FILE_PATH = os.environ.get('OP_DEV_METADATA', '/var/www/.op-dev/metadata.json')
_METADATA_DEFAULT = { 'domain': None, 'pkg_id': None, 'commit_id': None, 'config_id': None }


op_version_metadata = load_config(_METADATA_FILE_PATH) if os.path.isfile(_METADATA_FILE_PATH) else _METADATA_DEFAULT
